﻿/*
Bubble class - used as a basis for building Bubble Charts
	properties:
		height
		width
		left
		top
		color - hexidecimal value for setRGB() function
		level
		isPlaying - true means this bubble represents section currently playing
	
	methods:
		set/get: height, width, color, level
*/
class bMachine.bubble.Bubble extends MovieClip {
	/* // don't need, since these are already properties of the MovieClip
		private var __height:Number;
		private var __width:Number;
		private var __left:Number;
		private var __top:Number;
		*/
	private var __start:Number;
	//position (in ms) from beginning of sound file
	private var __duration:Number;
	//duration (in ms) of this section of the sound file
	private var __color:Number;
	private var __isPlaying:Boolean;
	// hexadecimal value
	private var __level:Number;
	public function Bubble() {
		__isPlaying = false;
		this.gotoAndStop("up");
	}
	public function set start(st):Void {
		//__height = ht;
		__start = st;
	}
	public function get start():Number {
		return __start;
	}
	public function set duration(dur):Void {
		//__height = ht;
		__duration = dur;
	}
	public function get duration():Number {
		return __duration;
	}
	public function set color(col):Void {
		__color = col;
	}
	public function get color():Number {
		return __color;
	}
	public function set level(lev):Void {
		__level = lev;
	}
	public function get level():Number {
		return __level;
	}
	public function set isPlaying(state):Void {
		__isPlaying = state;
	}
	public function get isPlaying():Boolean {
		return __isPlaying;
	}
	/*
		public function set height(ht):Void {
			//__height = ht;
			this._height = ht;
		}
		public function get height():Number {
			return this._height ;
		}
		public function set width(wid):Void {
			//__width = wid;
			this._width = wid;
		}
		public function get width():Number {
			return this._width;
		}
		public function set left(lft):Void {
			//__left = lft;
			this._x = lft;
		}
		public function get left():Number {
			return this._x;
		}
		public function set top(tp):Void {
			//__top = tp;
			this._y = tp;
		}
		public function get top():Number {
			return this._y;
		}
		*/
	public function onRollOver() {
		this.gotoAndStop("over");
	}
	public function onRollOut() {
		this.gotoAndStop("up");
	}
	public function onPress() {
		this.gotoAndStop("down");
	}
	public function onRelease() {
		this.gotoAndStop("over");
		//__isPlaying = true;
	}
	public function onReleaseOutside() {
		this.gotoAndStop("up");
	}
}
