﻿//import mx.controls.ProgressBar
import bMachine.bubble.BubbleSound;

/*
This class will be used to track playback progress of sound file
	and to allow drag-and-drop navigation within the piece.
*/

class bMachine.bubble.BubbleProgressBar { // does not "extends ProgressBar" ... create own model
	private var __completed:Number = 0;
	private var __total:Number = 0;
	private var __percentComplete:Number = 0;
	private var __bubbleSnd:BubbleSound = null;

	// instantiation of bubbleProgressBar requires association with sound file to determine duration
	public function BubbleProgressBar(snd:BubbleSound){
		if(snd==null){
			trace("bubbleProgressBar object instantiation failed.  You must pass a bubbleSound object to create a bubbleProgressBar.");
			return;
		}
		//this.mode = "manual"; // not necessary, since not extending ProgressBar
		__completed = 0;
		__bubbleSnd = snd;
		__total = __bubbleSnd.duration;
		//trace("*dur " + __bubbleSnd.duration);
		//trace("bubblePB created");
	}

	/* // not necessary, since this value is set automatically in constructor (not working yet!)
	public function set total(tot) {
		__total = tot;
	}	
	
	public function get total() {
		return __total;
	}
	*/
	
	public function set completed(com) {
		__completed = com;
	}	
	
	public function get completed() {
		return __completed;
	}
	
	public function get percentCompleted() {
		__completed = __bubbleSnd.position;
		//trace(__completed+"; "+__total);
		return __completed / __total * 100;
	}
	
	/*
	public function updateProgress(portion,total) {
		this.setProgress(portion,total);
	}
	*/
}