﻿/*
	Properties:
		enabled = 	// enabled (responds to events) or disabled (does not respond to events)
		onAction 		// sets the appropriate function for a given object
	Methods:
		constructor
		get/set for each variable
		onRollOver
		onRollOut
		onPress
		onRelease
		onReleaseOutside
*/
class bMachine.button.sdlButton extends MovieClip {
	private var __enabled:Boolean;	// true = enabled; false = disabled

	public function sdlButton() {
		// constructor
		this.enabled = false;
		this.stop();
	}
	
	public function set enabled(val):Void {
		__enabled = val;
		if (__enabled == true) {
			this.gotoAndStop("up");
		} else { // disabled
			this.gotoAndStop("grey");
		}
	}
	
	public function get enabled():Boolean {
		return __enabled;
	}

	public function onAction(){
		// empty function as default
	}

	public function onRollOver() {
		if (this.enabled == true) {
			this.gotoAndStop("over");
		}
	}
	public function onRollOut() {
		if (this.enabled == true) {
			this.gotoAndStop("up");
		}
	}
	public function onPress() {
		if (this.enabled == true) {
			this.gotoAndStop("down");
		}
	}
	public function onRelease() {
		if (this.enabled == true) {
			this.gotoAndStop("over");
			onAction();
		}
		onAction(); // temporary
	}
	public function onReleaseOutside() {
		if(this.enabled==true){
			this.gotoAndStop("up");
		}
	}
}